Describe "apply config from file" {
    hab pkg install core/redis
    Load-SupervisorService "core/redis" -Remote "alpha.habitat.dev"
    Load-SupervisorService "core/redis" -Remote "beta.habitat.dev"

    $new_port=2112
    Set-Content redis_config.toml -Value "port = $new_port`nprotected-mode = `"no`""
    hab config apply `
        redis.default `
    ([DateTime]::Now.Ticks) `
        redis_config.toml `
        --remote-sup=bastion.habitat.dev
    Start-Sleep 5

    @("alpha", "beta") | ForEach-Object {
        It "should call redis cli SET on applied port on $_" {
            hab pkg exec core/redis redis-cli -h "$_.habitat.dev" -p $new_port SET from_stdin_port $new_port
            $LASTEXITCODE | Should -Be 0
        }
    }

    @("alpha", "beta") | ForEach-Object {
        It "should call redis cli GET on applied port on $_" {
            hab pkg exec core/redis redis-cli -h "$_.habitat.dev" -p $new_port GET from_stdin_port
            $LASTEXITCODE | Should -Be 0
        }
    }
}
